Package uk.ac.starlink.topcat.func

## Class Browsers

- java.lang.Object
- - uk.ac.starlink.topcat.func.Browsers

-     public class Browsers
      extends java.lang.Object

  Displays URLs in web browsers.
  Since:
    9 Jun 2005
  Author:
    Mark Taylor (Starlink)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `basicBrowser​(java.lang.String url)` | Displays a URL in a basic HTML viewer.
    `static java.lang.String` | `firefox​(java.lang.String url)` | Displays a URL in a Firefox web browser.
    `static java.lang.String` | `mozalike​(java.lang.String cmd, java.lang.String url)` | Displays a URL in a web browser from the Mozilla family; it must support flags of the type "`-remote openURL(`url`)`".
    `static java.lang.String` | `mozilla​(java.lang.String url)` | Displays a URL in a Mozilla web browser.
    `static java.lang.String` | `netscape​(java.lang.String url)` | Displays a URL in a Netscape web browser.
    `static java.lang.String` | `systemBrowser​(java.lang.String url)` | Attempts to display a URL in the system's default web browser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### basicBrowser

          public static java.lang.String basicBrowser​(java.lang.String url)

      Displays a URL in a basic HTML viewer. This is only likely to work for HTML, text or RTF data. The browser can follow hyperlinks and has simple forward/back buttons, but lacks the sophistication of a proper WWW browser application.
      Parameters:
        `url` - location of the document to display
      Returns:
        short log message

    - #### systemBrowser

          public static java.lang.String systemBrowser​(java.lang.String url)

      Attempts to display a URL in the system's default web browser. Exactly what couts as the default web browser is system dependent, as is whether this function will work properly.
      Parameters:
        `url` - location of the document to display
      Returns:
        short log message

    - #### mozilla

          public static java.lang.String mozilla​(java.lang.String url)

      Displays a URL in a Mozilla web browser. Probably only works on Unix-like operating systems, and only if Mozilla is already running.
      Parameters:
        `url` - location of the document to display
      Returns:
        short log message

    - #### firefox

          public static java.lang.String firefox​(java.lang.String url)

      Displays a URL in a Firefox web browser. Probably only works on Unix-like operating systems, and only if Firefox is already running.
      Parameters:
        `url` - location of the document to display
      Returns:
        short log message

    - #### netscape

          public static java.lang.String netscape​(java.lang.String url)

      Displays a URL in a Netscape web browser. Probably only works on Unix-like operating systems, and only if Netscape is already running.
      Parameters:
        `url` - location of the document to display
      Returns:
        short log message

    - #### mozalike

          public static java.lang.String mozalike​(java.lang.String cmd,
                                                  java.lang.String url)

      Displays a URL in a web browser from the Mozilla family; it must support flags of the type "`-remote openURL(`url`)`". Probably only works on Unix-like operating systems, and only if the browser is already running.
      Parameters:
        `cmd` - name or path of the browser command
        `url` - location of the document to display
      Returns:
        short log message

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.